Page MenuHomePhabricator

CRM reads 'completion messages' from pending DB and ActiveMQ, scream if no match
Closed, ResolvedPublic2 Story Points

Description

This is in preparation for getting rid of ActiveMQ. For this task, continue to use ActiveMQ data to import donations, but log any discrepancies in the messages or any missing entries in the pending DB.

Event Timeline

Ejegg created this task.Jul 15 2016, 5:44 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 15 2016, 5:44 PM
Ejegg renamed this task from CiviCRM should read 'completion messages' from pending DB, not activeMQ to Read 'completion messages' from pending DB and ActiveMQ, scream if no match.Jul 18 2016, 9:48 PM
Ejegg updated the task description. (Show Details)
Ejegg set the point value for this task to 2.

Change 299816 had a related patch set uploaded (by Ejegg):
Compare pending DB row with queue message (SEE NOTES)

https://gerrit.wikimedia.org/r/299816

Change 300417 had a related patch set uploaded (by Ejegg):
Add order_id to sparse donation messages

https://gerrit.wikimedia.org/r/300417

Change 300417 merged by jenkins-bot:
Add order_id to sparse donation messages

https://gerrit.wikimedia.org/r/300417

awight renamed this task from Read 'completion messages' from pending DB and ActiveMQ, scream if no match to CRM reads 'completion messages' from pending DB and ActiveMQ, scream if no match.Jul 29 2016, 8:24 PM

Change 299816 merged by jenkins-bot:
Compare pending DB row with queue message (SEE NOTES)

https://gerrit.wikimedia.org/r/299816

Ejegg closed this task as Resolved.Aug 17 2016, 11:00 PM
Ejegg moved this task from Backlog to Done on the Fundraising Sprint Octopus Untangling board.